#
# spec file for package openstack-horizon-plugin-freezer-ui
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?rhel} || 0%{?fedora}
%global http_dashboard_dir %{_datarootdir}/openstack-dashboard
%else
%global http_dashboard_dir /srv/www/openstack-dashboard
%endif
Name:           openstack-horizon-plugin-freezer-ui
Version:        7.0.1~dev14
Release:        1.1
Summary:        The Freezer Web UI
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/freezer
Source0:        freezer-web-ui-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-macros
BuildRequires:  python-freezerclient
Requires:       python-horizon-plugin-freezer-ui = %{version}
BuildArch:      noarch

%description
The Freezer UI Horizon plugin adds Freezer panel to the OpenStack dashboard.

%package -n    python-horizon-plugin-freezer-ui
Summary:        The Freezer Web UI - Python module
Group:          Development/Languages/Python
Requires:       python-Django
Requires:       python-freezerclient

%description -n python-horizon-plugin-freezer-ui
The Freezer UI Horizon plugin adds Freezer panel to the OpenStack dashboard.

%prep
%autosetup -n freezer-web-ui-7.0.1.dev14
%py_req_cleanup

%build
%py2_build

%install
%py2_install

install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
cp -a disaster_recovery/enabled/_50*.py %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/

%fdupes %{buildroot}%{python2_sitelib}
%fdupes %{buildroot}%{http_dashboard_dir}

%post
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%files
%doc ChangeLog README.rst
%license LICENSE
%{http_dashboard_dir}/openstack_dashboard/enabled/*.py*

%files -n python-horizon-plugin-freezer-ui
%doc README.rst
%license LICENSE
%{python2_sitelib}/disaster_recovery
%{python2_sitelib}/freezer_web_ui-*.egg-info

%changelog
